Subject: bug#6386: [PATCH] rcirc: Reset mode-line-process when joining a channel

From: Deniz Dogan <[email-masked]>
Date: Wed, 9 Jun 2010 23:21:03 +0200

The attached patch fixes an issue with rcirc which occurs when one
joins a channel, from one was previously kicked, which is already
associated with a buffer. Currently mode-line-process still says
":disconnected" after rejoining.